import { RaceDetailDto } from '../dtos';
import { RaceDetailViewModel } from '../view-models';

export class RaceDetailPresenter {
  present(dto: RaceDetailDto): RaceDetailViewModel {
    return new RaceDetailViewModel(dto);
  }
}

export const presentRaceDetail = (dto: RaceDetailDto): RaceDetailViewModel => {
  const presenter = new RaceDetailPresenter();
  return presenter.present(dto);
};